Package org.opensaml.saml.saml1.profile

# Interface SAML1NameIdentifierGenerator

All Superinterfaces:
  `NameIdentifierGenerator<NameIdentifier>`

All Known Implementing Classes:
  `AbstractSAML1NameIdentifierGenerator`, `ChainingSAML1NameIdentifierGenerator`

public interface SAML1NameIdentifierGenerator extends NameIdentifierGenerator<NameIdentifier>
Specialization of `NameIdentifierGenerator` for SAML 1.x.

## Method Summary

Modifier and Type
Method
Description
`NameIdentifier`
`generate(ProfileRequestContext profileRequestContext, String format)`
Generate an identifier object.

## Method Details

### generate

@Nullable NameIdentifier generate(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull @NotEmpty String format) throws SAMLException
Generate an identifier object.

Specified by:
  `generate` in interface `NameIdentifierGenerator<NameIdentifier>`
Parameters:
  `profileRequestContext` - the current profile request context
  `format` - the identifier format to generate
Returns:
  the identifier object, or null
Throws:
  `SAMLException` - if an error occurs generating an identifier